/********************************************************
Leitz Lampenbayonett: Lampenseite
********************************************************/

$fn=60;

rAussen=49.5/2;                     //Außenradius
rInnen=40/2;                        //Innenradius
rNut=47/2;                          //Radius Nut
dNut=3;                             //Tiefe Nut
dAuflage=5;                         //Dicke Auflage
bFluegel=23;                        //Breite der Fluegel
bFluegelStativ=30;                  //Breite der Fluegel beim Stativ

module BayonettLampe() {
    difference() {
        union() {
            cylinder(dAuflage,rAussen,rAussen);
            translate([0,0,dAuflage]) cylinder(dNut,rNut,rNut);
            intersection() {
                translate([0,0,dAuflage+dNut]) cylinder(dAuflage,rAussen,rAussen);
                translate([-bFluegel/2,-rAussen,dAuflage+dNut]) cube([bFluegel,rAussen*2,dAuflage]);
            };
            translate([0,0,-5]) cylinder(5,rAussen,rAussen);
        };
        translate([0,0,-5]) cylinder(2*dAuflage+dNut+5, rInnen, rInnen);
    };
    
};

module BayonettStativ2() {
    /*translate([0,0,dAuflage+dNut])*/ rotate([180,0,0])
    difference() {
        union() { 
            intersection() {                //Fluegel
            difference() {
                translate([0,0,dAuflage]) cylinder(dNut,rAussen+dAuflage,rAussen+dAuflage);
                cylinder(dAuflage+dNut,rNut,rNut);
                };
                translate([-bFluegelStativ/2,-rAussen-dAuflage,dAuflage]) 
                cube([bFluegelStativ,(rAussen+dAuflage)*2,dAuflage]);
            };
           difference() {               //Unterer Zylinder
                cylinder(dAuflage+dNut,rAussen+dAuflage,rAussen+dAuflage);
                cylinder(dAuflage+dNut,rAussen,rAussen);
                };           
         };
    };
};

module BayonettStativ() {
    difference() {
        cylinder(dAuflage+dNut,rAussen,rAussen);
        intersection() {
            difference() {
                cylinder(dNut,rAussen,rAussen);
                cylinder(dNut,rNut,rNut);
            };
            union() {
                translate([-bFluegelStativ/2,-rAussen-dAuflage,0]) 
                cube([bFluegelStativ,(rAussen+dAuflage)*2,dAuflage]);
//                translate([]) cube([,,dNut]);
//                translate([]) cube([]);
            };
            
        };
            
    };
    
};

//*************** Test
//translate([3*rAussen,0,0]) BayonettLampe();
//BayonettStativ2();
//BayonettLampe();