/**************************************
Deckel des Blitzwürfels
3h51min
25g
Infill 20%
Support
***************************************/

include <BayonettLampe.scad>;
include <Konstanten.scad>;

use <MCAD/nuts_and_bolts.scad>;
//use <Lampenseite.scad>;

module Deckel() {
    difference() {
        union() {
            cube([b,l-2*t,t]);
            //Eckverstärkungen
            translate([2*t,t,t]) cube([lEcke,lEcke-t,t]);
            translate([b-lEcke-2*t,t,t]) cube([lEcke,lEcke-t,t]);
            translate([2*t,l-2*t-lEcke,t]) cube([lEcke,lEcke-t,t]);
            translate([b-lEcke-2*t,l-2*t-lEcke,t]) cube([lEcke,lEcke-t,t]);
            //Verstärkung
            translate([xDeckelLoch,yDeckelLoch,t]) cylinder(t,rHalter,rHalter);

        };
        //Lichtöffnung
        translate([xDeckelLoch,yDeckelLoch,0]) cylinder(10,riHalter+Toleranz,riHalter+Toleranz);
        translate([xDeckelLoch,yDeckelLoch,0]) cylinder(2.5,raHalter+Toleranz,raHalter+Toleranz);

        //Löcher für Schrauben bei Linsenhalter
//        translate([dxHalterSchrauben+xDeckelLoch,yDeckelLoch,t]) 
//            boltHole(rSchrauben*2,"MM",2*t,Toleranz);
//        translate([-dxHalterSchrauben+xDeckelLoch,yDeckelLoch,t]) 
//            boltHole(rSchrauben*2,"MM",2*t,Toleranz);
        
        //Löcher für Blitzhalter
        translate([-yBlitzSchraube+xDeckelLoch-vBlitz,xBlitzSchraube+yDeckelLoch,0 ]) 
            cylinder(10,rSchrauben+Toleranz,rSchrauben+Toleranz);
        translate([-yBlitzSchraube+xDeckelLoch-vBlitz,-xBlitzSchraube+yDeckelLoch,0 ]) 
            cylinder(10,rSchrauben+Toleranz,rSchrauben+Toleranz);
        translate([yBlitzSchraube+xDeckelLoch-vBlitz,xBlitzSchraube+yDeckelLoch,0 ]) 
            cylinder(10,rSchrauben+Toleranz,rSchrauben+Toleranz);
        translate([yBlitzSchraube+xDeckelLoch-vBlitz,-xBlitzSchraube+yDeckelLoch,0 ]) 
            cylinder(10,rSchrauben+Toleranz,rSchrauben+Toleranz);
        
        //Schraubenlöcher
        translate([lEcke/2+2*t,lEcke/2,dSchraubenkopf]) boltHole(rSchrauben*2,"MM",2*t,Toleranz);
        translate([b-lEcke/2-2*t,lEcke/2,dSchraubenkopf]) boltHole(rSchrauben*2,"MM",2*t,Toleranz);
        translate([lEcke/2+2*t,l-lEcke/2-2*t,dSchraubenkopf]) boltHole(rSchrauben*2,"MM",2*t,Toleranz);
        translate([b-lEcke/2-2*t,l-lEcke/2-2*t,dSchraubenkopf]) boltHole(rSchrauben*2,"MM",2*t,Toleranz);
    };
};


Deckel();

