/***************************************
Unterteil Justierung
3h 40min
21g
***************************************/


use <MCAD/nuts_and_bolts.scad>;
use <HalterBeamsplitter.scad>;

include <Konstanten.scad>;


module MutterLoch() {
    //Loch mit Mutter zum Befestigen
    cylinder(hJustierungV2,rSchrauben+Toleranz,rSchrauben+Toleranz);      //Bohrung Schraube
    cylinder(r=rHutmutter,h=hJustierungV2/2);                             //größere Bohrung
    translate([0,0,hJustierungV2/2])nutHole(4,units="mm",tolerance = Toleranz);
};

module Distanzstueck() {
    //Abgerundetes Distanzstück als Anschlag und Gleitschiene
    rotate([90,0,180]) intersection() {
        cube([lDistanz,zDistanz,yDistanz]);
        translate([rJustierung,0,0]) cylinder(yDistanz,rJustierung,rJustierung);
    };
};



module JustierungBottom() {
        difference() {
            union() {
                    //Grundkörper
                    translate([-deltaJustierungV2,0,0]) cube([lJustierungBottomV2,bJustierungV2,hJustierungV2]);
                    //Ausschnitt unten
                translate([lJustierungBottomV2-deltaJustierungV2,0,hJustierungV2/2]) Distanzstueck();
                translate([lJustierungBottomV2-deltaJustierungV2,bJustierungV2-sJustierungYV2,hJustierungV2/2]) Distanzstueck();
            };
            translate([sJustierungXV2+bAuflage,sJustierungYV2+bAuflage,0]) cube([bBeamsplitter-2*bAuflage,bBeamsplitter-2*bAuflage,hJustierungV2]);
            //Auschnitt oben
            translate([-deltaJustierungV2,bScharnier,0]) cube([deltaJustierungV2,bJustierungV2-2*bScharnier,hJustierungV2]);
            
            //Abschrägen Unten
            translate([lJustierungV2-hJustierungV2,0,0]) rotate([0,45,0]) cube([30,bJustierungV2,30]);
            //Abschrägen Oben
             translate([-deltaJustierungV2+hJustierungV2/2,0,0]) rotate([0,180+45,0]) cube([30,bJustierungV2,30]);
            
            //Scharnierloch
            translate([-deltaJustierungV2+hJustierungV2/2,bJustierungV2,hJustierungV2/2]) rotate([90,0,0]) cylinder(bJustierungV2,rSchrauben+Toleranz,rSchrauben+Toleranz);
            //Loch für Hebel
            translate([xHebelV2,sJustierungXV2,hJustierungV2/2]) rotate([90,0,0]) cylinder(sJustierungXV2,rSchraubenHebel+Toleranz,rSchraubenHebel+Toleranz);
            //Aussparung Beamsplitter
            translate([sJustierungXV2,(bJustierungV2-bBeamsplitter)/2,hJustierungV2-hBeamsplitter+1]) cube([bBeamsplitter,bBeamsplitter,hBeamsplitter]);
            
            //Löcher für Halter
            translate([sJustierungXV2-yBeamSchraube,(bJustierungV2-bBeamsplitter)/2+xBeamSchraube1,0]) MutterLoch();
            translate([sJustierungXV2-yBeamSchraube,(bJustierungV2-bBeamsplitter)/2+xBeamSchraube2,0]) MutterLoch();


        };
}; 


JustierungBottom();
 //translate([0,bJustierungV2-sJustierungYV2,hJustierungV2]) rotate([0,0,270]) HalterBeamsplitter();
//translate([0,0,hJustierungV2]) Distanzstueck();
//Beamsplitter - nur anzeigen
% color ("Gold",0.5) translate([sJustierungXV2,(bJustierungV2-bBeamsplitter)/2,hJustierungV2-hBeamsplitter+1]) cube([bBeamsplitter,bBeamsplitter,hBeamsplitter]);

//% color ("Red",0.5) translate([-deltaJustierungV2,0,hJustierungV2]) cube([lJustierungBottomV2,bJustierungV2,hJustierungV2]);
//% color ("Red",0.5) translate([-deltaJustierungV2,0,hJustierungV2]) Distanzstueck();
