/****************************************************
Oberseite Justierung des Beamsplitters für Blitzwürfel
****************************************************/



use <MCAD/nuts_and_bolts.scad>;

include <Konstanten.scad>;
use <HalterBeamsplitter.scad>;

module Justierschraube() {
    union() {
        //cylinder(hJustierung,rSchrauben,rSchrauben);
        
        translate([0,0,1])nutHole(4,units="mm",tolerance = Toleranz);
        translate([0,0,3])nutHole(4,units="mm",tolerance = Toleranz);
        translate([0,0,6])cylinder(r=rHutmutter,h=hJustierung);
        translate([0,0,0])cylinder(r=rSchrauben,h=hJustierung);

    };
    
};

module Feder() {
    cylinder(hJustierung,rFeder,rFeder);
    translate([-rFeder-1,-dStift/2,0]) cube([2*rFeder+2,dStift,dStift]);
};

module MutterLoch() {
    //Loch mit Mutter zum Befestigen
    cylinder(hJustierung,rSchrauben+Toleranz,rSchrauben+Toleranz);      //Bohrung Schraube
    cylinder(r=rHutmutter,h=hJustierung/2);                             //größere Bohrung
    translate([0,0,hJustierung/2])nutHole(4,units="mm",tolerance = Toleranz);
};

module JustierungTop() {
    difference() {
        //Grundkörper
        cube([lJustierungTop,bJustierung,hJustierung]);
        translate([sJustierung+bAuflage,sJustierung,0]) cube([lJustierungTop-(3*bAuflage+sJustierung),bJustierung-2*sJustierung,hJustierung]);
        //Abschrägen
        translate([lJustierungTop-(hJustierung-2),0,0]) rotate([0,45,0]) cube([20,bJustierung,20]);
        //Löcher für Halter
        translate([sJustierung-lBeamsplitter+yBeamSchraube,(bJustierung-bBeamsplitter)/2+xBeamSchraube1,0]) MutterLoch();
        translate([sJustierung-lBeamsplitter+yBeamSchraube,(bJustierung-bBeamsplitter)/2+xBeamSchraube2,0]) MutterLoch();
        //Justierschrauben
        translate([xJustierung1,yJustierung1,hJustierung]) rotate([0,180,0]) Justierschraube();
        translate([xJustierung1,yJustierung2,hJustierung]) rotate([0,180,0]) Justierschraube();
        translate([xJustierung2,yJustierung2,hJustierung]) rotate([0,180,0]) Justierschraube();
        //Federn
        translate([xFeder1,bJustierung/2,hJustierung]) rotate([0,180,0]) Feder();
        translate([xFeder2,yJustierung2,hJustierung]) rotate([0,180,0]) Feder();
        //Aussparung Beamsplitter
        translate([sJustierung,(bJustierung-bBeamsplitter)/2,hJustierung-hBeamsplitter+1]) cube([bBeamsplitter,bBeamsplitter,hBeamsplitter]);
        
    };
    //Beamsplitter - nur anzeigen
    % color ("Gold",0.5) translate([sJustierung,(bJustierung-bBeamsplitter)/2,hJustierung-hBeamsplitter+1]) cube([bBeamsplitter,bBeamsplitter,hBeamsplitter]);
    //Halter Beamsplitter
//    % color ("DeepPink",0.5) translate([sJustierung,0,hJustierung]) HalterBeamsplitter();
    % color ("DeepPink",0.5) translate([sJustierung-(lBeamsplitter-dBeamHalter),bJustierung-(bJustierung-bBeamsplitter)/2,hJustierung]) rotate([0,0,270]) HalterBeamsplitter();
};


JustierungTop();
//Justierschraube();
//Feder();
//MutterLoch();
