/*********************************************
Lampenseite Blitzwürfel
4h21min
28g
20%
*********************************************/


include <BayonettLampe.scad>;
include <Konstanten.scad>;

use <MCAD/nuts_and_bolts.scad>;

module MutterLoch() {
    //Loch mit Mutter zum Befestigen
    cylinder(t,rSchrauben+Toleranz,rSchrauben+Toleranz);      //Bohrung Schraube
    //cylinder(r=rHutmutter,h=t);                             //größere Bohrung
    translate([0,0,t/2])nutHole(4,units="mm",tolerance = Toleranz);
};


module Ecke() {
    //Eckverstärkung mit Mutterloch
    difference() {
        union() {
            cube([t,lEcke,lEcke]);
            cube([lEcke,t,lEcke]);
        };
        translate([0,lEcke/2,lEcke/2]) rotate([0,90,0]) MutterLoch();
        translate([lEcke/2,0,lEcke/2]) rotate([270,0,0]) MutterLoch();
    };
};

module Halter() {
    //Halter für Scharnierstangen; Null Mitte Loch
    translate([2.5,5.3,5.3]) 
    rotate([180,90,0]) difference() {
        cube([10.6,20,5]);
        translate([5.3,5.3,0]) cylinder(5,2,2);
    };
};


module Lampenseite() {
    union() {
        difference() {
            union() {
                translate([-b/2,-yLicht,0]) cube([b,h,t]);
                //cylinder(5, rAussen+1, rAussen+1);
                //Randauflage
                difference() {
                    translate([-b/2+t,-yLicht+t,t]) cube([b-2*t,h-2*t,t]);
                    translate([-b/2+2*t,-yLicht+2*t,t]) cube([b-4*t,h-4*t,t]);
                };
            };
            BayonettStativ();
        };
    //Ecken
    translate([-b/2+2*t,-yLicht+2*t,t]) Ecke();
    translate([b/2-2*t,-yLicht+2*t,t]) rotate([0,0,90]) Ecke();
    translate([-b/2+2*t,-yLicht+3*t+h-lEcke,t]) rotate([0,0,-90]) Ecke();
    translate([b/2-2*t,-yLicht+3*t+h-lEcke,t]) rotate([0,0,180]) Ecke();
    translate([-30+2.5,58-yLicht+t,t+5.3]) Halter();
    translate([30-2.5,58-yLicht+t,t+5.3]) Halter();
    };
};

Lampenseite();
//echo(58+t);
//Halter();
//    translate([-30+2.5,58-yLicht+t,t+5.3]) Halter();
//    translate([30-2.5,58-yLicht+t,t+5.3]) Halter();
