/*********************************************
Projekt Blitzeinspiegelung
Spiegelhalter V1.0
*********************************************/
$fn=60;

d=3;                        //Wandstärke
rL=55/2;                    //Radius Lichteintritt
b=2*rL+2*d;                 //Breite Würfel
hL=7;                       //Höhe Lichteintritt
r=16;                       //Radius Blitzeintritt
bG=1;                       //Breite Glasauflage
rS=5/2;                     //Schraubenradius
sL=b/2-8;                   //Schraubenabstand von Mitte
zS=8;                       //Schraubenhöhe von Boden ab

module Boden() {
    difference() {
        translate([0,0,d/2]) cube([b,b,d],true);
        cylinder(d,rL,rL);
    };
};

module Seite1() {
    rotate([90,0,0])
    union(){
        translate([0,0,d-bG]) linear_extrude(bG) polygon([[0,0],[b,0],[b,hL],[0,b+hL],[0,0]]);
        cube([b,b+hL,d-bG]);
    };
};
module Seite2() {
    rotate([90,0,0]) translate([0,0,-d])
    union(){
        linear_extrude(bG) polygon([[0,0],[b,0],[b,hL],[0,b+hL],[0,0]]);
        translate([0,0,d-2*bG]) cube([b,b+hL,d-bG]);
    };
};



difference() {
    union(){
        Boden();
        translate([-b/2,b/2,0]) Seite1();
        translate([-b/2,-b/2,0]) Seite2();
        translate([b/2-d,-b/2,d/2]) cube([d,b,hL+2*d]);     //Vorne
        translate([-b/2,-b/2,d/2]) cube([d,b,b+d]);         //Hinten
    };
    //Schraubenlöcher
    translate([b/2-d,-sL,zS]) rotate([0,90,0]) cylinder(d,rS,rS);
    translate([b/2-d,+sL,zS]) rotate([0,90,0]) cylinder(d,rS,rS);
        
};